#include<stdio.h>
#include<math.h>
main()
{
	long long V;
	long long a=0,b=0,c=0;
	int brojac=0,i;
	scanf("%lli",&V);
	if(V==0)
	{
		printf("0");
		return 0;
	}
	i=0;
		while(V>0)
		{
			a=pow(10,i);
			if(a>V)
			{
				V=V-c;
				brojac++;
				a=0;
				b=0;
				c=0;
				i=0;
				continue;
			}
			b=2*pow(10,i);
			if(b>V)
			{
				V=V-a;
				brojac++;
				a=0;
				b=0;
				c=0;
				i=0;
				continue;
			}
			c=5*pow(10,i);
			if(c>V)
			{
				V=V-b;
				brojac++;
				a=0;
				b=0;
				c=0;
				i=0;
				continue;
			}
			i++;
		}
	printf("%d",brojac);
	
	return 0;
}